Évaluer une Community Note
curl --request POST \
--url https://api.x.com/2/evaluate_note \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note_text": "<string>",
"post_id": "1346889436626259968"
}
'import requests
url = "https://api.x.com/2/evaluate_note"
payload = {
"note_text": "<string>",
"post_id": "1346889436626259968"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({note_text: '<string>', post_id: '1346889436626259968'})
};
fetch('https://api.x.com/2/evaluate_note', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"claim_opinion_score": 123
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Notes de la communauté
Évaluer une Community Note
Point de terminaison permettant d’évaluer une note de communauté.
POST
/
2
/
evaluate_note
Évaluer une Community Note
Autorisations
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Corps
application/json
Texte de la note communautaire.
Identifiant unique de ce Tweet. Il est renvoyé sous forme de chaîne de caractères afin d’éviter les complications avec les langages et outils qui ne gèrent pas les entiers de très grande taille.
Pattern:
^[0-9]{1,19}$Exemple:
"1346889436626259968"
Réponse
La requête a réussi.
Show child attributes
Show child attributes
Minimum array length:
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I